@import "palette.css";
@import "login.css";
@import "navbar.css";
@import "sidebar.css";
@import "mappa.css";
@import "home.css";
@import "footer.css";
@import "iqasensori.css";
@import "stazioni.css";
@import "rilevamenti.css";
@import "user.css";
@import "email.css";
@import "dashboard.css";

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    height: 100%;
}

body {
    font-family: 'Open Sans', sans-serif;
}

a {
    text-decoration: none !important;
}

a.forgot-password {
    color: var(--palette-color-green);
}

h1{
    color: #FFF;
    font-size: 56px;
    font-style: normal;
    font-weight: 700;
    line-height: 64px;
}

h2{
    color: #FFF;
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: 32px;
}

h3{
    color: #FFF;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: 32px;
}

h4{
    color: #FFF;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: 24px;
}

label{
    color: var(--palette-color-green);
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

.main-container{
    display: flex;
    width: 100%;
    height: 100%;
}

.fixed-body {
    overflow: hidden;
}

.scrollable-body {
    overflow-y: auto;
}

.breadcrumb-container{
    display: flex;
    width: 100%;
    padding: 16px 16px 16px 72px;
    align-items: center;
    gap: 8px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.10);
    background: #FFF;
}

.breadcrumb-container h1{
    color: var(--palette-color-grey);
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.alert{
    font-size: 16px;
}

.alert-danger{
    color: #F93A39;
}

.alert-success{
    color: var(--palette-color-lightgreen);
}

.navigation{
    margin-top: 8px;
}

.pagination{
    display: flex;
    padding-left: 0;
    list-style: none;
    border-radius: 0.25rem;
}

span.current, span.page, span.next, span.last, span.previous, span.first{
    position: relative;
    display: block;
    padding: 0.5rem 0.75rem;
    margin-left: -1px;
    line-height: 1.25;
    color: #007bff;
    background-color: #fff;
    border: 1px solid #dee2e6;
}

span.page a, span.next a, span.last a,span.previous a, span.first a{
    color: var(--palette-color-grey);
    text-decoration: none;
}

@media screen and (max-width: 480px) {
    .pre-navbar {
        display: none;
    }
}

